software - Qual versão do Eclipse devo usar para um aplicativo Android?




software eclipse android (10)

Estou começando a desenvolver aplicativos para Android. Qual versão do Eclipse devo usar?

Eu vejo que existem 11 versões. Estou confuso com estes:

  1. Eclipse IDE para desenvolvedores Java
  2. Eclipse Classic 3.6.1
  3. Eclipse IDE para desenvolvedores de Java EE
  4. Pulsar para desenvolvedores móveis

** junho de 2012 **

O Google recomenda Eclipse Helios, Eclipse Classic ou Eclipse RCP . Para mais detalhes, leia o post abaixo.

URL: http://developer.android.com/sdk/eclipse-adt.html

Olhe sob ADT 18.0.0 (abril de 2012) .

O Eclipse Helios (Versão 3.6.2) ou superior é necessário para o ADT 18.0.0.

Procure em Instalando o Plugin ADT .

Se você precisar instalar ou atualizar o Eclipse, poderá baixá-lo em http://www.eclipse.org/downloads/ . A versão " Eclipse Classic " é recomendada. Caso contrário, uma versão Java ou RCP do Eclipse é recomendada.

Abril de 2014 Atualizado

O Eclipse Indigo (Versão 3.7.2) ou superior é obrigatório. Eu sugiro que você use o Eclipse Kepler.

ADT 22.6.0 (março de 2014)


O plug-in ADT ainda não é compatível com o 3.6

Eu tenho usado o Eclipse 3.6 com ADT nos últimos três meses para desenvolver aplicativos no Android. Eu não enfrentei nenhum problema até agora. É muito bom e funciona bem.


A partir de 10/2011 ... clássico é bom para o desenvolvimento do Android.

Veja Comparar Pacotes Eclipse para um bom gráfico.


A solução mais fácil é baixar o pacote do Android SDK:

http://developer.android.com/sdk/installing/bundle.html

O ADT Bundle fornece tudo o que você precisa para começar a desenvolver aplicativos, incluindo uma versão do Eclipse IDE com ADT integrado (Android Developer Tools) para agilizar o desenvolvimento de aplicativos para Android.



Lançado em junho de 2012, o Eclipse for Mobile Developers é um excelente ponto de partida para desenvolvedores que desejam se concentrar no desenvolvimento do Android. Eu usei para vários projetos desde agosto e não fiquei desapontado.



Só porque não está aqui, a Nvidia tem um ótimo pacote que simplifica a configuração e a execução, com um bônus adicional de suporte à aceleração 3D em dispositivos habilitados para TEGRA.

Você pode encontrá-lo here .


Você pode usar a versão do Eclipse Indigo EE para desenvolvimento do Android. É muito bom, e eu não enfrentei nenhum problema até agora.


Atualização de julho de 2017:

Na página do ADT Plugin , a pergunta deve ser descompactada:

O plugin Eclipse ADT não é mais suportado, conforme este anúncio em junho de 2015 .

O plugin Eclipse ADT tem muitos bugs conhecidos e potenciais bugs de segurança que não serão corrigidos.

Você deve mudar imediatamente para usar o Android Studio , o IDE oficial para Android. Para obter ajuda na transição dos seus projetos, leia Migrar para o Android Studio.







adt